Have ideas to improve npm?Join in the discussion! »

    dog-pad

    2.0.0 • Public • Published

    Build Status

    Install

    $ npm install --save dog-pad
    

    Usage

    const dogPad = require('dog-pad');
     
    dogPad('Woof', 6);
    //=> '🐕🐕Woof'

    API

    dogPad(input, length)

    Pads input with dogs on the left side if it's shorter than length. Padding dogs are truncated if they exceed length.

    input

    Type: string

    String to pad.

    length

    Type: number
    Default: 0

    Padding length.

    Credit

    Based on cat-pad

    License

    MIT © Dog Pad

    Install

    npm i dog-pad

    DownloadsWeekly Downloads

    2

    Version

    2.0.0

    License

    MIT

    Last publish

    Collaborators

    • avatar
    • avatar